summary refs log tree commit diff homepage
path: root/chroot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chroot.sh')
-rwxr-xr-xchroot.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/chroot.sh b/chroot.sh
new file mode 100755
index 0000000..fe4442a
--- /dev/null
+++ b/chroot.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+set -e -u -x
+
+./server.c
+./client.c
+./help.c
+
+if [ ! -f termcap.db ]; then
+    patch -p0 -o termcap < termcap.diff
+    cap_mkdb termcap
+fi
+
+user=torus
+ownflags='-o root -g wheel'
+dirflags="-d $ownflags"
+binflags="$ownflags -m 555"
+libflags="$ownflags -m 444"
+
+mkdir -p root
+
+for dir in bin home lib libexec usr; do
+    sudo install $dirflags root/$dir
+done
+sudo install $dirflags root/usr/share
+sudo install $dirflags root/usr/share/misc
+sudo install -d -o $user -g $user root/home/$user
+
+sudo install $binflags /libexec/ld-elf.so.1 root/libexec
+
+for lib in libc.so.7 libedit.so.7 libncurses.so.8 libncursesw.so.8; do
+    sudo install $libflags /lib/$lib root/lib
+done
+
+for bin in server client help; do
+    sudo install $binflags $bin root/bin
+done
+sudo install $binflags /bin/sh root/bin
+
+sudo install $libflags termcap.db root/usr/share/misc
+
+tar -c -f chroot.tar -C root bin home lib libexec usr
itle='2021-09-22 18:50:50 -0400'>2021-09-22Remove PSF fontsJune McEnroe 2021-09-22Remove Linux-specific utilitiesJune McEnroe 2021-09-22Call sandbox in CGI modeJune McEnroe 2021-09-22Support HTTP PUT in upJune McEnroe 2021-09-22Remove default faviconJune McEnroe 2021-09-21Use Z_FILTERED strategyJune McEnroe 2021-09-21Recalculate various lengths only as neededJune McEnroe 2021-09-21Rewrite pngo, add explicit optionsJune McEnroe 2021-09-16Fix /* **/ comment matchingJune McEnroe 2021-09-15Remove typer, add downgrade to READMEJune McEnroe 2021-09-15Set bot mode on downgradeJune McEnroe 2021-09-15Enter capsicum in downgradeJune McEnroe 2021-09-15Factor out common parts of downgrade messagesJune McEnroe 2021-09-14Add downgrade IRC botJune McEnroe 2021-09-14Sort by title if authors matchJune McEnroe 2021-09-13Swap-remove tags as they're foundJune McEnroe 2021-09-12Replace htagml regex with strncmpJune McEnroe 2021-09-11Also defer printing comment for lone close-parensJune McEnroe 2021-09-10Publish "git-comment"June McEnroe 2021-09-10Add git comment --pretty optionJune McEnroe 2021-09-08Defer printing comment if line is blank or closing braceJune McEnroe 2021-09-08Up default min-repeat to 30 linesJune McEnroe 2021-09-08Handle dirty lines in git-commentJune McEnroe 2021-09-08Document and install git-commentJune McEnroe 2021-09-08Add repeat and all options to git-commentJune McEnroe 2021-09-08Add group threshold to git-commentJune McEnroe